# 🐍 ChipScoPy README

[![](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

![](https://raw.githubusercontent.com/Xilinx/chipscopy/master/docs/images/chipscopy_logo_head_right_transparent_background.png)

ChipScoPy is an open-source project from Xilinx® that enables high-level control of Versal debug IP running in hardware.
Using a simple Python API, developers can control and communicate with ChipScope® debug IP such as the Integrated Logic
Analyzer (ILA), Virtual IO (VIO), device memory access, and more.

ChipScoPy communicates with Versal devices. It does not work with older devices such as Ultrascale+ and 7-Series devices.

**We recommend using Python 3.8, 3.9, 3.10, or 3.11 with ChipScoPy.**

-------------------------------------------------------------------------------

![](https://raw.githubusercontent.com/Xilinx/chipscopy/master/docs/images/chipscopy_overview.png)

-------------------------------------------------------------------------------

[ChipScoPy Overview](https://xilinx.github.io/chipscopy/2024.1/overview.html)

-------------------------------------------------------------------------------

[System Requirements](https://xilinx.github.io/chipscopy/2024.1/system_requirements.html)

-------------------------------------------------------------------------------

[ChipScoPy Installation](https://xilinx.github.io/chipscopy/2024.1/chipscopy_installation.html)

-------------------------------------------------------------------------------

[ChipScoPy Examples](https://github.com/Xilinx/chipscopy/tree/master/chipscopy/examples)

-------------------------------------------------------------------------------

[FAQ](https://github.com/Xilinx/chipscopy/blob/master/FAQ.md)

-------------------------------------------------------------------------------

[API Documentation](https://xilinx.github.io/chipscopy/)

-------------------------------------------------------------------------------

Copyright (C) 2021-2022, Xilinx, Inc.

Copyright (C) 2022-2024, Advanced Micro Devices, Inc.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
